[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ValReal

Largest available floating point type

## Declaration

Source position: systemh.inc line 189

`type ValReal = Extended;`

## Description

ValReal is an alias for the largest available floating point type on the architecture the program runs on. On most processors, it should be one of Double or Extended.